python-pytest_2.8.7-4_all.deb


Advertisement

Description

python-pytest - Simple, powerful testing in Python

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pytest
Package version 2.8.7
Package release 4
Package architecture all
Package type deb
Installed size 540 B
Download size 116.27 KB
Official Mirror archive.ubuntu.com
This testing tool has for objective to allow the developers to limit the
boilerplate code around the tests, promoting the use of built-in
mechanisms such as the `assert` keyword.

Alternatives

Package Version Architecture Repository
python-pytest_3.0.4-1~nd16.04+1_all.deb 3.0.4 all NeuroDebian Main
python-pytest_3.0.4-1~nd16.04+1_all.deb 3.0.4 all NeuroDebian Main
python-pytest_2.8.7-4_all.deb 2.8.7 all Ubuntu Universe
python-pytest - - -

Requires

Name Value
python-pkg-resources -
python-py >= 1.4.29
python:any >= 2.7.5-5~
python:any << 2.8

Download

Type URL
Binary Package python-pytest_2.8.7-4_all.deb
Source Package pytest

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pytest deb package:
    # sudo apt-get install python-pytest

Files

Path
/usr/bin/py.test
/usr/bin/py.test-2.7
/usr/lib/python2.7/dist-packages/pytest.py
/usr/lib/python2.7/dist-packages/_pytest/__init__.py
/usr/lib/python2.7/dist-packages/_pytest/_argcomplete.py
/usr/lib/python2.7/dist-packages/_pytest/_pluggy.py
/usr/lib/python2.7/dist-packages/_pytest/cacheprovider.py
/usr/lib/python2.7/dist-packages/_pytest/capture.py
/usr/lib/python2.7/dist-packages/_pytest/config.py
/usr/lib/python2.7/dist-packages/_pytest/doctest.py
/usr/lib/python2.7/dist-packages/_pytest/genscript.py
/usr/lib/python2.7/dist-packages/_pytest/helpconfig.py
/usr/lib/python2.7/dist-packages/_pytest/hookspec.py
/usr/lib/python2.7/dist-packages/_pytest/junitxml.py
/usr/lib/python2.7/dist-packages/_pytest/main.py
/usr/lib/python2.7/dist-packages/_pytest/mark.py
/usr/lib/python2.7/dist-packages/_pytest/monkeypatch.py
/usr/lib/python2.7/dist-packages/_pytest/nose.py
/usr/lib/python2.7/dist-packages/_pytest/pastebin.py
/usr/lib/python2.7/dist-packages/_pytest/pdb.py
/usr/lib/python2.7/dist-packages/_pytest/pytester.py
/usr/lib/python2.7/dist-packages/_pytest/python.py
/usr/lib/python2.7/dist-packages/_pytest/recwarn.py
/usr/lib/python2.7/dist-packages/_pytest/resultlog.py
/usr/lib/python2.7/dist-packages/_pytest/runner.py
/usr/lib/python2.7/dist-packages/_pytest/skipping.py
/usr/lib/python2.7/dist-packages/_pytest/standalonetemplate.py
/usr/lib/python2.7/dist-packages/_pytest/terminal.py
/usr/lib/python2.7/dist-packages/_pytest/tmpdir.py
/usr/lib/python2.7/dist-packages/_pytest/unittest.py
/usr/lib/python2.7/dist-packages/_pytest/assertion/__init__.py
/usr/lib/python2.7/dist-packages/_pytest/assertion/newinterpret.py
/usr/lib/python2.7/dist-packages/_pytest/assertion/oldinterpret.py
/usr/lib/python2.7/dist-packages/_pytest/assertion/reinterpret.py
/usr/lib/python2.7/dist-packages/_pytest/assertion/rewrite.py
/usr/lib/python2.7/dist-packages/_pytest/assertion/util.py
/usr/lib/python2.7/dist-packages/_pytest/vendored_packages/__init__.py
/usr/lib/python2.7/dist-packages/_pytest/vendored_packages/pluggy.py
/usr/lib/python2.7/dist-packages/pytest-2.8.7.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/pytest-2.8.7.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/pytest-2.8.7.egg-info/entry_points.txt
/usr/lib/python2.7/dist-packages/pytest-2.8.7.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/pytest-2.8.7.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/pytest-2.8.7.egg-info/top_level.txt
/usr/share/doc/python-pytest/README.rst
/usr/share/doc/python-pytest/changelog.Debian.gz
/usr/share/doc/python-pytest/copyright
/usr/share/man/man1/py.test-2.7.1.gz
/usr/share/man/man1/py.test.1.gz

Changelog

2016-02-15 - Sebastian Ramacher <sramacher@debian.org>
pytest (2.8.7-4) unstable; urgency=medium
* debian/control:
- Add myself to Uploaders.
- Bump Standards-Version to 3.9.7.
- Update Vcs-Git.
* Better hanlding of py.test-X.Y. (Closes: #814834)
- debian/patches/drop-entrypoints-logic.patch: Upstream patch to no longer
generate py.test-X.Y entry points.
- debian/python-pytest.links: Provide py.test-2.7 and manpage via symlink
until we can drop them.
- debian/rules: No longer remove unwanted artifacts, as they are no longer
produced.
* debian/rules: Build man and html in one call.
* debian/tests/control: Reduce dependencies of tests to what is actually
needed.
2016-02-14 - Sebastian Ramacher <sramacher@debian.org>
pytest (2.8.7-3) unstable; urgency=medium
* Team upload.
* Revert changes from 2.8.7-2 that included /usr/bin/pytest-3.X in the
package (Closes: #814622)
2016-02-11 - Barry Warsaw <barry@debian.org>
pytest (2.8.7-2) unstable; urgency=medium
* Team upload.
* d/rules: Don't trim artifacts.
2016-02-08 - Barry Warsaw <barry@debian.org>
pytest (2.8.7-1) unstable; urgency=medium
* Team upload.
[ Corey Bryant ]
* d/control: Drop tox from build-depends.
[ Barry Warsaw ]
* New upstream release.
* d/tests:
- control: Add a Depends to pick up all supported Python 3 versions.
- smoketest-{2,3}: Run the smoke tests against all installed versions
of Python, instead of the supported versions.
2016-01-19 - Sebastian Ramacher <sramacher@debian.org>
pytest (2.8.5-2) unstable; urgency=medium
* Team upload.
* debian/rules:
- Reduce duplication between python-pytest and python-pytest-doc.
- Build documentation in *build* step and not in install step.
* debian/control: Remove XS-Testsuite, no longer needed.
* Revert parts of c6eb0d1da9bdf2a0cfb40d69711e8a88e86d4657 and bring back
rtinstall, rtremove, postinstall and prerm for python3-pytest. (Closes:
#808763)
Until we decide that py.test-X.Y scripts are not desired, this method
actually generates them correctly and does not require a sourceful upload
whenever the set of supported Python 3 version changes.
2015-12-17 - Barry Warsaw <barry@debian.org>
pytest (2.8.5-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* d/control: Update the Vcs-* fields for git.
* d/patches:
- local-intersphinx: Removed; no longer necessary.
- remove-herokuapp-images: Removed; no longer necessary.
- remove_google_js: Updated.
* d/rules:
- Convert to --buildsystem=pybuild
- override_dh_compress, override_dh_install, override_dh_auto_clean,
override_dh_clean: Removed; let pybuild do it all for us.
- override_dh_auto_test: Updated.
- override_dh_installdocs: Added.
- override_dh_auto_install: Added for tweaking the /usr/bin scripts
shebang lines.
* d/py.test.template: Removed.
* d/*.install, *.postinst, *.prerm, *.rtinstall, *.rtremove: Removed.
* d/tests: Since the unittests run during package build, we only need a
couple of smoketests in the DEP-8 tests, just to ensure that pytest
can be invoked on a simple Python test file.
* wrap-and-sort
2015-09-15 - Barry Warsaw <barry@debian.org>
pytest (2.7.3-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* debian/patches/issue844-py35-compat: Removed, applied upstream.
2015-07-17 - Barry Warsaw <barry@debian.org>
pytest (2.7.2-2) unstable; urgency=medium
* Team upload.
* debian/patches/issue744-py35-compat: Upstream patch to fix Python 3.5
compatibility by handling the change in the ast module API.
2015-07-05 - Sebastian Ramacher <sramacher@debian.org>
pytest (2.7.2-1) unstable; urgency=medium
* Team upload.
* New upstream release.
* debian/control:
- Bump version requirements for python(,3)-py to >= 1.4.29.
- Drop obsolete Breaks and Replaces.
- Add dh-python to Build-Depends.
- Bump version requirements for debhelper to >= 9.
* debian/compat: Bump to 9.

See Also

Package Description
python-pyth_0.6.0-1_all.deb Python text markup and conversion
python-pythoncard_0.8.2-5_all.deb wxPython-based GUI construction framework (underlying Python libraries)
python-pythonmagick_0.9.11-2ubuntu2_amd64.deb Object-oriented Python interface to ImageMagick
python-pytils-doc_0.3-1_all.deb Python library for processing strings in Russian (documentation)
python-pytils_0.3-1_all.deb Python library for processing strings in Russian (Python 2)
python-pytimeparse_1.1.5-1_all.deb time expression parser - Python 2.x
python-pytoml_0.1.2-1_all.deb TOML parser and emitter for Python2
python-pytools_2015.1.6-1_all.deb big bag of things supplementing Python standard library
python-pytyrant_1.1.17-1.2_amd64.deb Pure Python client implementation of the Tokyo Tyrant protocol
python-pyuca_1.1-3_all.deb Unicode Collation Algorithm (UCA) for Python
python-pyudev_0.16.1-3_all.deb Python bindings for libudev
python-pyvcf-examples_0.6.7-2build1_all.deb Example data for Variant Call Format (VCF) parser for Python
python-pyvcf_0.6.7-2build1_amd64.deb Variant Call Format (VCF) parser for Python
python-pyviennacl_1.0.2+dfsg-1build3_amd64.deb Python bindings for ViennaCL linear algebra library (for Python 2)
python-pyvisa-py_0.2-1_all.deb Backend that implements a large part of the VISA in pure Python
Advertisement
Advertisement